Subject: Re: bug#30043: 25.3; C-M-e inserts euro character

From: Tomas Nordin <[email-masked]>
Date: Sun, 29 Sep 2019 15:20:10 +0200

Stefan Kangas <[email-masked]> writes:

> tags 30043 + notabug
> close 30043
> quit
>
> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Tomas Nordin <[email-masked]>
>>> Cc: [email-masked]
>>> Date: Sat, 13 Jan 2018 23:10:43 +0100
>>>
>>> > Does it help to set w32-use-fallback-wm-chars-method to a non -nil
>>> > value in Emacs 25.3?
>>>
>>> Yes, that removes the problem.
>>
>> So I guess you somehow have a keyboard which doesn't fit the new
>> keyboard input code introduced by Emacs 25, and need to use this
>> fallback variable to avoid the problem.
>
> I believe that was the correct answer, and nothing of the rest of the
> discussion indicated otherwise.  I'm therefore closing this as notabug.

It seems to me then that the correct answer is that keyboards with
swedish layout on Windows does not fit the new keyboard input code. I
see the same on a laptop now with emacs 26.2. It is strange that no-one
else in this country complains.

Using the work-around with setting w32-use-fallback-wm-chars-method
solves the problem. But the docstring of that variable suggests that I
shouldn't have to use it unless debugging something.

I am not going to argue with the closing but I don't think this is
specific to one specific keyboard. It was reproduced on several
keyboards on different machines.

Thanks
--
Tomas